<?php

namespace Drupal\renderkit\FieldDisplayProcessor;

interface FieldDisplayProcessorInterface {

  /**
   * Transforms a field display render element.
   *
   * @param array $element
   *   Render array with ['#theme' => 'field', ..]
   *
   * @return array
   *   Processed / transformed render element.
   *   This might no longer have the typical structure of a field display render
   *   element. It should NOT be passed to another field display processor.
   *
   * @see \field_default_view()
   * @see \Drupal\renderkit\Helper\EntityTypeFieldDisplayHelper::entityBuildField()
   */
  public function process(array $element);

}
